TMS
cURL
curl --request POST \ --url https://cloud.memsource.com/web/api2/v2/projects/applyTemplate/{templateUid} \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "sourceLang": "<string>", "targetLangs": [ "<string>" ], "workflowSteps": [ { "id": "<string>" } ], "dateDue": "2023-11-07T05:31:56Z", "note": "<string>", "client": { "id": "<string>" }, "businessUnit": { "id": "<string>" }, "domain": { "id": "<string>" }, "subDomain": { "id": "<string>" }, "costCenter": { "id": "<string>" } } '
{ "uid": "<string>", "internalId": 123, "id": "<string>", "name": "<string>", "dateCreated": "2023-11-07T05:31:56Z", "domain": { "id": "<string>", "uid": "<string>", "name": "<string>" }, "subDomain": { "id": "<string>", "uid": "<string>", "name": "<string>" }, "owner": { "firstName": "<string>", "lastName": "<string>", "userName": "<string>", "email": "<string>", "role": "SYS_ADMIN", "id": "<string>", "uid": "<string>" }, "sourceLang": "<string>", "targetLangs": [ "<string>" ], "references": [ { "id": "<string>", "uid": "<string>", "filename": "<string>", "note": "<string>", "dateCreated": "2023-11-07T05:31:56Z", "createdBy": { "firstName": "<string>", "lastName": "<string>", "userName": "<string>", "email": "<string>", "role": "SYS_ADMIN", "id": "<string>", "uid": "<string>" } } ], "mtSettingsPerLanguageList": [ { "targetLang": "<string>", "machineTranslateSettings": { "id": "<string>", "uid": "<string>", "name": "<string>", "type": "<string>" } } ], "status": "NEW", "userRole": "<string>" }
255
Show child attributes
Created
Base projectDto
NEW
ASSIGNED
COMPLETED
ACCEPTED_BY_VENDOR
DECLINED_BY_VENDOR
COMPLETED_BY_VENDOR
CANCELLED
Response differs based on user's role
Was this page helpful?